kas getrandomkey           AFS Commands        kas getrandomkey


NAME

   kas getrandomkey -- generate an encryption key at random.


   kas getrandomkey
   [-admin_username <admin principal to use for
   authentication>]
   [-password_for_admin <admin password>]  [-cell <cell name>]
                                                             +
          [-servers <explicit list of authentication servers> ]
   [-noauth]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas getr  [-a <admin principal to use for authentication>]
           [-p <admin password>]  [-c <cell name>]
                                                +
   [-s <explicit list of authentication servers> ]  [-n]  [-h]

DESCRIPTION

   Returns  a  key  generated at random (i.e., not derived from
   any known password).  This is useful mainly for testing  and
   debugging the Authentication Server.

WARNINGS

   The  output  of  this  command  is  visible  on the issuer's
   screen, making it a potential security risk to use  the  key
   in  an  actual  Authentication  Database  entry (such as the
   "afs" entry).

   If  the  -noauth  flag  is  used,  the  connection  to   the
   Authentication  Server is not authenticated, so the randomly
   generated  key  crosses  the  network  unencrypted.      The
   potential  security  risk  in  using  the  key  as an actual
   encryption key is even greater in this case.

ARGUMENTS

   -admin_username   specifies the user name  under  which  the
                     issuer  wishes to perform the command.  If
                     the  issuer  does  not  provide  it,   the
                     current identity is used.  See section 4.3
                     in the Reference Manual for more  details.
                     -password_for_admin
                     specifies  the  issuer's  password.     If
                     provided  here, the password is visible on
                     the  screen.    If  the  issuer  does  not
                     provide  it,  it  will be prompted for and
                     not be visible on the screen.  See section
                     4.3  in  the  Reference  Manual  for  more
                     details.  -cell
                     specifies  the  cell  in  which to run the
                     command, if  not  the  local  cell.    See
                     section  4.3  in  the Reference Manual for
                     more details.  -servers
                     specifies  the  database server machine(s)
                     with which to establish a connection.  See



                     section  4.3  in  the Reference Manual for
                     more details.  -noauth
                     establishes  an unauthenticated connection
                     between  the  Authentication  Servers  and
                     issuer,  whom they assign the unprivileged
                     identity anonymous rather than  attempting
                     mutual authentication.  See section 4.3 in
                     the Reference  Manual  for  more  details.
                     -help
                     prints the online help for  this  command.
                     Do  not  provide  any  other  arguments or
                     flags with this one.  See section  4.3  in
                     the Reference Manual for more details.

OUTPUT

   Following a "Key:" header, the output displays the octal and
   hexadecimal forms of the key.

EXAMPLE

   The following shows terry issuing this command.

       % kas getr
       Password for terry:
       Key: \230\206\370v1\334\373\346 (98.86.f8.76 31.dc.f

PRIVILEGE REQUIRED

   None, but the correct  password  must  be  provided  at  the
   prompt  if  the  key  is  to be encrypted while crossing the
   network.  If the -noauth flag is used,  a  password  is  not
   prompted for.

MORE INFORMATION
